﻿using Infragistics.Controls.Editors;
using Infragistics.Documents;
using Infragistics.Documents.Parsing;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Windows.Forms.Integration;

namespace WindowsFormsApp13
{
    public partial class Form1 : Form
    {

        private ElementHost _ctrlHost;
        public XamSyntaxEditor syntaxEditor;
        public TextDocument document;
        public Form1()
        {
            InitializeComponent();
            _ctrlHost = new ElementHost();
            syntaxEditor = new XamSyntaxEditor();

            _ctrlHost.Child = this.syntaxEditor;
            document = new Infragistics.Documents.TextDocument();
            document.InitializeText("Hello, World!");
            syntaxEditor.Document = document;
            syntaxEditor.Document.Language = TSqlLanguage.Instance;
            _ctrlHost.Width = 800;
            _ctrlHost.Height = 450;
            this.Controls.Add(_ctrlHost);
        }
    }
}
